FUNCTION MakeQBerr$(V2%)
SELECT CASE V2%
CASE 0
   MakeQBerr$= "(0)<unknown>"
CASE 1
   MakeQBerr$= "(1)NEXT without FOR"
CASE 2
   MakeQBerr$= "(2)Syntax error"
CASE 3
   MakeQBerr$= "(3)RETURN without GOSUB"
CASE 4
   MakeQBerr$= "(4)Out of DATA"
CASE 5
   MakeQBerr$= "(5)Illegal function call"
CASE 6
   MakeQBerr$= "(6)Overflow"
CASE 7
   MakeQBerr$= "(7)Out of memory"
CASE 8
   MakeQBerr$= "(8)Label not defined"
CASE 9
   MakeQBerr$= "(9)Subscript out of range"
CASE 10
   MakeQBerr$= "(10)Duplicate definition"
CASE 11
   MakeQBerr$= "(11)Division by zero"
CASE 12
   MakeQBerr$= "(12)Illegal in direct mode"
CASE 13
   MakeQBerr$= "(13)Type mismatch"
CASE 14
   MakeQBerr$= "(14)Out of string space"
CASE 15
   MakeQBerr$= "(15)<reserved>"
CASE 16
   MakeQBerr$= "(16)String formula too complex"
CASE 17
   MakeQBerr$= "(17)Cannot continue"
CASE 18
   MakeQBerr$= "(18)Function not defined"
CASE 19
   MakeQBerr$= "(19)No RESUME"
CASE 20
   MakeQBerr$= "(20)RESUME without error"
CASE 21
   MakeQBerr$= "(21)<reserved>"
CASE 22
   MakeQBerr$= "(22)<reserved>"
CASE 23
   MakeQBerr$= "(23)<reserved>"
CASE 24
   MakeQBerr$= "(24)Device timeout"
CASE 25
   MakeQBerr$= "(25)Device fault"
CASE 26
   MakeQBerr$= "(26)FOR without NEXT"
CASE 27
   MakeQBerr$= "(27)Out of paper"
CASE 27
   MakeQBerr$= "(28)<reserved>"
CASE 29
   MakeQBerr$= "(29)WHILE without WEND"
CASE 30
   MakeQBerr$= "(30)WEND without WHILE"
CASE 31
   MakeQBerr$= "(31)<reserved>"
CASE 32
   MakeQBerr$= "(32)<reserved>"
CASE 33
   MakeQBerr$= "(33)Duplicate label"
CASE 34
   MakeQBerr$= "(34)<reserved>"
CASE 35
   MakeQBerr$= "(35)Subprogram not defined"
CASE 36
   MakeQBerr$= "(36)<reserved>"
CASE 37
   MakeQBerr$= "(37)Argument-count mismatch"
CASE 38
   MakeQBerr$= "(38)Array not defined"
CASE 39
   MakeQBerr$= "(39)<reserved>"
CASE 40
   MakeQBerr$= "(40)Variable required"
CASE 41
   MakeQBerr$= "(41)<reserved>"
CASE 42
   MakeQBerr$= "(42)<reserved>"
CASE 43
   MakeQBerr$= "(43)<reserved>"
CASE 44
   MakeQBerr$= "(44)<reserved>"
CASE 45
   MakeQBerr$= "(45)<reserved>"
CASE 46
   MakeQBerr$= "(46)<reserved>"
CASE 47
   MakeQBerr$= "(47)<reserved>"
CASE 48
   MakeQBerr$= "(48)<reserved>"
CASE 49
   MakeQBerr$= "(49)<reserved>"
CASE 50
   MakeQBerr$= "(50)FIELD overflow"
CASE 51
   MakeQBerr$= "(51)Internal error"
CASE 52
   MakeQBerr$= "(52)Bad file name or number"
CASE 53
   MakeQBerr$= "(53)File not found"
CASE 54
   MakeQBerr$= "(54)Bad file mode"
CASE 55
   MakeQBerr$= "(55)File already open"
CASE 56
   MakeQBerr$= "(56)FIELD statement active"
CASE 57
   MakeQBerr$= "(57)Device I/O error"
CASE 58
   MakeQBerr$= "(58)File already exists"
CASE 59
   MakeQBerr$= "(59)Bad record length"
CASE 60
   MakeQBerr$= "(60)<reserved>"
CASE 61
   MakeQBerr$= "(61)Disk full"
CASE 62
   MakeQBerr$= "(62)Input past end of file"
CASE 63
   MakeQBerr$= "(63)Bad record number"
CASE 64
   MakeQBerr$= "(64)Bad file name"
CASE 65
   MakeQBerr$= "(65)<reserved>"
CASE 66
   MakeQBerr$= "(66)<reserved>"
CASE 67
   MakeQBerr$= "(67)Too many files"
CASE 68
   MakeQBerr$= "(68)Device unavailable"
CASE 69
   MakeQBerr$= "(69)Communication-buffer overflow"
CASE 70
   MakeQBerr$= "(70)Permission denied"
CASE 71
   MakeQBerr$= "(71)Disk not ready"
CASE 72
   MakeQBerr$= "(72)Disk-media error"
CASE 73
   MakeQBerr$= "(73)Feature unavailable"
CASE 74
   MakeQBerr$= "(74)Rename across disks"
CASE 75
   MakeQBerr$= "(75)Path/File access error"
CASE 76
   MakeQBerr$= "(76)Path not found"
CASE 77
   MakeQBerr$= "(77)<reserved>"
CASE 78
   MakeQBerr$= "(78)<reserved>"
CASE 79
   MakeQBerr$= "(79)<reserved>"
CASE 80
   MakeQBerr$= "(80)Feature removed"
CASE 81
   MakeQBerr$= "(81)Invalid name"
CASE 82
   MakeQBerr$= "(82)Table not found"
CASE 83
   MakeQBerr$= "(83)Index not found"
CASE 84
   MakeQBerr$= "(84)Invalid column"
CASE 85
   MakeQBerr$= "(85)No current record"
CASE 86
   MakeQBerr$= "(86)Duplicate value for unique index"
CASE 87
   MakeQBerr$= "(87)Invalid operation on null index"
CASE 88
   MakeQBerr$= "(88)Database needs repair"
CASE 89
   MakeQBerr$= "(89)Insufficient ISAM buffers"
CASE 90
   MakeQBerr$= "(90)<reserved>"
CASE ELSE
   MakeQBerr$= "(??)<reserved>"
END SELECT
END FUNCTION
