REM file: Whatis.inc - Public Domain DOS Utility. v3.7a include file.

DEFINT A-Z
REM $DYNAMIC

' constant declarations
CONST FalseD = 0#
CONST TrueD = -1#
CONST False = 0
CONST True = -1
CONST Nul = ""
CONST TabStop = 8

' constants can be changed
CONST Max.Arrays = 128
CONST Max.History = 10
CONST Max.Recurse = 16
CONST Max.FNs = 26

' define color values
CONST Black=0
CONST Plain=7
CONST Green=10
CONST Cyan=11
CONST Red=12
CONST Magenta=13
CONST Yellow=14
CONST White=15

CONST Author$="Erik Jon Oredson"
CONST Email$="eoredson@gmail.com"
CONST Url$="www.filegate.net"
CONST Program$="whatis"
CONST Publish$="09/15/2014"
CONST Version$="3.7a"
CONST Release$="1.0a"

' get include files
REM $INCLUDE: 'bpb.bi'
REM $INCLUDE: 'dta.bi'
REM $INCLUDE: 'qbx.bi'
REM $INCLUDE: 'wdta.bi'

' declare registers
COMMON SHARED InregsX AS RegtypeX, OutregsX AS RegtypeX
COMMON SHARED InregsX2 AS RegtypeX, InregsX3 AS RegtypeX

' declare program dta
COMMON SHARED BASIC.DTA.SEG AS INTEGER, BASIC.DTA.OFF AS INTEGER

' declare some structures
COMMON SHARED BPBfile AS BPBtype, WDTAfile AS WDTAtype

' global variables
COMMON SHARED Assign AS INTEGER
COMMON SHARED ASCIIZ AS STRING * 260
COMMON SHARED Data.Error AS INTEGER
COMMON SHARED Last.Token AS INTEGER
COMMON SHARED Out2 AS STRING
COMMON SHARED Out3 AS STRING
COMMON SHARED Out4 AS STRING
COMMON SHARED Output.Level AS INTEGER
COMMON SHARED Pipe.Buffer AS STRING * 1
COMMON SHARED Recurse AS INTEGER
COMMON SHARED Strng AS STRING
COMMON SHARED Token AS INTEGER
COMMON SHARED Token.Index AS INTEGER
COMMON SHARED Token.List AS STRING
COMMON SHARED White.Space AS STRING
COMMON SHARED Wfile.Handle AS INTEGER

' data areas
COMMON SHARED Arrays() AS DOUBLE ' variable arrays A() to Z()
COMMON SHARED Definitions() AS STRING ' DEFFN functions
COMMON SHARED Strngs() AS STRING ' string variables A$ to Z$
COMMON SHARED Variables() AS DOUBLE ' variables A to Z

' multi-dimensional command history arrays
COMMON SHARED History.Count2() As Integer
COMMON SHARED History2() As String*256

' multi-dimensional command history variable
COMMON SHARED Temp0 As Integer

' subroutine declarations
DECLARE SUB Arith (T$, T1#, T2#)
DECLARE SUB Assignment1 (T$, T%)
DECLARE SUB Assignment2 (T$, T1%, T2%)
DECLARE SUB Enter.Equate ()
DECLARE SUB Equate (T#)
DECLARE SUB Get.Token ()
DECLARE SUB Get.Token2 (V%)
DECLARE SUB Get.Token3 ()
DECLARE SUB Get.Token4 ()
DECLARE SUB Parse.Alphabetic1 (T#)
DECLARE SUB Parse.Alphabetic2 (T#)
DECLARE SUB Parse.Alphabetic3 (T#)
DECLARE SUB Parse.Numeric (T#)
DECLARE SUB Parse.Quoted ()
DECLARE SUB Parse1 (T#)
DECLARE SUB Parse2 (T#)
DECLARE SUB Parse3 (T#)
DECLARE SUB Parse4 (T#)
DECLARE SUB Parse5 (T#)
DECLARE SUB Parse6 (T#)
DECLARE SUB Parse7 (T#)
DECLARE SUB Parse8 (T#)
DECLARE SUB Parse9 (T#)
DECLARE SUB Release.Time(V%)
DECLARE SUB Remove.Spaces ()

' function declarations
DECLARE FUNCTION ClearBreak()
DECLARE FUNCTION BreakIS()
DECLARE FUNCTION FormatString$(s#)
DECLARE FUNCTION KeyIS()
DECLARE FUNCTION KeyboardChar$()
DECLARE FUNCTION KeyboardLine2$()
